"""
/***************************************************************************
Name			 	 : Hotlink plugin
Description          : Triggers actions on single click
Date                 : 24/Jun/11 
copyright            : (C) 2011 by AEAG
email                : xavier.culos@eau-adour-garonne.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""
def name(): 
  return "Hotlink" 
  
def description():
  return "Triggers actions on single click"
  
def version(): 
  return "Version 0.3" 
  
def qgisMinimumVersion():
  return "1.8"
  
def classFactory(iface): 
  # load Hotlink class from file Hotlink
  from Hotlink import Hotlink 
  return Hotlink(iface)

def icon():
  import resources_rc
  return ":plugins/Hotlink/hotlink.png"
  
def openUrl(url):
    from Hotlink import Hotlink 
    Hotlink.doOpenUrl(url)

#def openUrl(url):
#    Hotlink.openUrl("http://adour-garonne.eaufrance.fr/massedeau/FRFR10")
